#include <iostream>
#include <string>

using namespace std;

const int N = 1e5 + 10;

int sum[N];  // sum[i] 表示字符串 s 的前 i 个字符的权值和

int main() {
  string s;
  cin >> s;
  int n = s.size();

  // 计算权值和
  for (int i = 0; i < n; i++) sum[i + 1] = sum[i] + (s[i] - '0');

  int ans = 0;
  for (int i = 0; i < n; i++) {
    for (int j = i + 1; j <= n; j++) {
      // 计算字符串 s[i...j] 的权值和
      int w = sum[j] - sum[i];
      ans = max(ans, w);
    }
  }

  cout << ans << endl;

  return 0;
}
